View Issue Details

IDProjectCategoryView StatusLast Update
0006885Talermechant backendpublic2021-09-02 18:23
ReporterMS Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006885: Wrong error message upon malformed Authorization header
DescriptionWhat the request below lacks is the "Bearer" word before the actual token,
but the error message reports something different:

$ curl -H "Authorization: secret-token:......" https://backend.test.taler.net/private/instances
{
   "code": 26,
   "hint": "A parameter in the request was malformed.",
   "detail": "'secret-token:' prefix missing in 'Authorization' header"
}
TagsNo tags attached.

Activities

Christian Grothoff

2021-05-23 23:16

manager   ~0017893

3f0bed9..7c4dced improves the error message.

Christian Grothoff

2021-09-02 18:23

manager   ~0018348

Fix committed to master branch.

Related Changesets

merchant: master 7c4dced3

2021-05-23 23:14:12

Christian Grothoff

Details Diff
improve error message (fixes 0006885) Affected Issues
0006885
mod - src/backend/taler-merchant-httpd.c Diff File

Issue History

Date Modified Username Field Change
2021-05-21 21:02 MS New Issue
2021-05-21 21:02 MS Status new => assigned
2021-05-21 21:02 MS Assigned To => Christian Grothoff
2021-05-23 23:16 Christian Grothoff Note Added: 0017893
2021-05-23 23:16 Christian Grothoff Status assigned => resolved
2021-05-23 23:16 Christian Grothoff Resolution open => fixed
2021-05-23 23:16 Christian Grothoff Fixed in Version => 0.9
2021-05-23 23:17 Christian Grothoff Product Version => git (master)
2021-05-23 23:17 Christian Grothoff Target Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 7c4dced3
2021-09-02 18:23 Christian Grothoff Note Added: 0018348